#ifndef _textdict_h_included_
#define _textdict_h_included_

#ifdef __cplusplus
extern "C" {
#endif


struct textdict;

extern struct textdict *anthy_textdict_open(const char *fn, int create);
extern void anthy_textdict_close(struct textdict *td);
/**/
#if 0		/* Patched by G-HAL */
extern void anthy_textdict_scan(struct textdict *td, int offset, void *ptr,
			 int (*fn)(struct textdict * td, int offset, const char *sc, int (*gang_scan)(void *p, int offset, const char *key, const char *n)));
#else
extern void anthy_textdict_scan(struct textdict *td, int offset, void *ptr,
			 int (*fun)(void *p, int offset, const char *key, const char *n));
#endif
extern int anthy_textdict_insert_line(struct textdict *td,
			       int offset, const char *line);
extern int anthy_textdict_delete_line(struct textdict *td, int offset);


#ifdef __cplusplus
}
#endif

#endif /* _textdict_h_included_ */
/* [ End of File ] */
/* vim:ts=8 sw=2 nomodified:
 */
